summaryrefslogtreecommitdiffstats
path: root/libraries/libass
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:58:45 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:45 +0200
commit1f75a04e5fc8fc64cb393f193bf6165230574586 (patch)
tree4967b92a870e2fd1000da043a821495ecf8bfb22 /libraries/libass
parentcd4c417a3e2ec7f59ce45946409f3bcb8755d586 (diff)
downloadslackbuilds-1f75a04e5fc8fc64cb393f193bf6165230574586.tar.gz
slackbuilds-1f75a04e5fc8fc64cb393f193bf6165230574586.tar.xz
libraries/libass: Added to 13.0 repository
Diffstat (limited to 'libraries/libass')
-rw-r--r--libraries/libass/README6
-rw-r--r--libraries/libass/libass.SlackBuild73
-rw-r--r--libraries/libass/libass.info10
-rw-r--r--libraries/libass/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/libraries/libass/README b/libraries/libass/README
new file mode 100644
index 0000000000..70fbd551fc
--- /dev/null
+++ b/libraries/libass/README
@@ -0,0 +1,6 @@
+libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation
+Alpha/Substation Alpha) subtitle format. It is mostly compatible with
+VSFilter.
+
+There are no required dependencies for libass but enca is an optional
+dependency.
diff --git a/libraries/libass/libass.SlackBuild b/libraries/libass/libass.SlackBuild
new file mode 100644
index 0000000000..2b53c70e29
--- /dev/null
+++ b/libraries/libass/libass.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for libass
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=libass
+VERSION=${VERSION:-0.9.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static=no \
+ --enable-png \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changelog COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libass/libass.info b/libraries/libass/libass.info
new file mode 100644
index 0000000000..02137a93c7
--- /dev/null
+++ b/libraries/libass/libass.info
@@ -0,0 +1,10 @@
+PRGNAM="libass"
+VERSION="0.9.8"
+HOMEPAGE="http://code.google.com/p/libass/"
+DOWNLOAD="http://libass.googlecode.com/files/libass-0.9.8.tar.bz2"
+MD5SUM="e0b0c81f2e2651408e72b02473d35cde"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/libraries/libass/slack-desc b/libraries/libass/slack-desc
new file mode 100644
index 0000000000..2015d4ffd9
--- /dev/null
+++ b/libraries/libass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libass: libass (Subtitle renderer for the ASS/SSA)
+libass:
+libass: libass is a portable subtitle renderer for the ASS/SSA (Advanced
+libass: Substation Alpha/Substation Alpha) subtitle format. It is mostly
+libass: compatible with VSFilter.
+libass:
+libass: Homepage: http://code.google.com/p/libass/
+libass:
+libass:
+libass:
+libass: